CVE-2016-2810

MEDIUM

Description

Mozilla Firefox before 46.0 on Android before 5.0 allows attackers to bypass intended Signature access requirements via a crafted application that leverages content-provider permissions, as demonstrated by reading the browser history or a saved password.

References

http://lists.opensuse.org/opensuse-updates/2016-05/msg00038.html

http://www.mozilla.org/security/announce/2016/mfsa2016-41.html

http://www.securitytracker.com/id/1035692

https://bugzilla.mozilla.org/show_bug.cgi?id=1229681

https://security.gentoo.org/glsa/201701-15

Details

Source: MITRE

Published: 2016-04-30

Updated: 2017-07-01

Type: CWE-264

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: (AV:N/AC:M/Au:N/C:P/I:N/A:N)

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 5

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:H/I:N/A:N

Impact Score: 3.6

Exploitability Score: 1.3

Severity: MEDIUM